- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ClpPackedMatrix3 Class Reference

`#include <ClpPackedMatrix.hpp>`

Collaboration diagram for ClpPackedMatrix3:

[legend]
List of all members.

## Public Member Functions
Useful methods
void | transposeTimes (const ClpSimplex *model, const double *pi, CoinIndexedVector *output) const
| Return `x * -1 * A in `z`.`
void | transposeTimes2 (const ClpSimplex *model, const double *pi, CoinIndexedVector *dj1, const double *piWeight, double referenceIn, double devex, unsigned int *reference, double *weights, double scaleFactor)
| Updates two arrays for steepest.
Constructors, destructor
| ClpPackedMatrix3 ()
| Default constructor.
| ClpPackedMatrix3 (ClpSimplex *model, const CoinPackedMatrix *columnCopy)
| Constructor from copy.
virtual | ~ClpPackedMatrix3 ()
| Destructor.
Copy method
| ClpPackedMatrix3 (const ClpPackedMatrix3 &)
| The copy constructor.
ClpPackedMatrix3 & | operator= (const ClpPackedMatrix3 &)
| The copy constructor.
Sort methods
void | sortBlocks (const ClpSimplex *model)
| Sort blocks.
void | swapOne (const ClpSimplex *model, const ClpPackedMatrix *matrix, int iColumn)
| Swap one variable.
## Protected Attributes
Data members
The data members are protected to allow access for derived classes.
int | numberBlocks_
| Number of blocks.
int | numberColumns_
| Number of columns.
int * | column_
| Column indices and reverse lookup (within block).
CoinBigIndex * | start_
| Starts for odd/long vectors.
int * | row_
| Rows.
double * | element_
| Elements.
blockStruct * | block_
| Blocks (ordinary start at 0 and go to first block).

## Detailed Description

Definition at line 458 of file ClpPackedMatrix.hpp.

## Constructor & Destructor Documentation

ClpPackedMatrix3::ClpPackedMatrix3 | ( |  | ) |

Default constructor.

ClpPackedMatrix3::ClpPackedMatrix3 | ( | ClpSimplex * | model,
|  | const CoinPackedMatrix * | columnCopy |
| ) |  |  |

Constructor from copy.

virtual ClpPackedMatrix3::~ClpPackedMatrix3 | ( |  | ) | `[virtual]`

Destructor.

ClpPackedMatrix3::ClpPackedMatrix3 | ( | const ClpPackedMatrix3 & |  | ) |

The copy constructor.

## Member Function Documentation

void ClpPackedMatrix3::transposeTimes | ( | const ClpSimplex * | model,
|  | const double * | pi,
|  | CoinIndexedVector * | output |
| ) |  |  | const

Return `x * -1 * A in `z`.`

Note - x packed and z will be packed mode Squashes small elements and knows about ClpSimplex

void ClpPackedMatrix3::transposeTimes2 | ( | const ClpSimplex * | model,
|  | const double * | pi,
|  | CoinIndexedVector * | dj1,
|  | const double * | piWeight,
|  | double | referenceIn,
|  | double | devex,
|  | unsigned int * | reference,
|  | double * | weights,
|  | double | scaleFactor |
| ) |  |  |

Updates two arrays for steepest.

ClpPackedMatrix3& ClpPackedMatrix3::operator= | ( | const ClpPackedMatrix3 & |  | ) |

The copy constructor.

void ClpPackedMatrix3::sortBlocks | ( | const ClpSimplex * | model | ) |

Sort blocks.

void ClpPackedMatrix3::swapOne | ( | const ClpSimplex * | model,
|  | const ClpPackedMatrix * | matrix,
|  | int | iColumn |
| ) |  |  |

Swap one variable.

## Member Data Documentation

int ClpPackedMatrix3::numberBlocks_`[protected]`

Number of blocks.

Definition at line 511 of file ClpPackedMatrix.hpp.

int ClpPackedMatrix3::numberColumns_`[protected]`

Number of columns.

Definition at line 513 of file ClpPackedMatrix.hpp.

int* ClpPackedMatrix3::column_`[protected]`

Column indices and reverse lookup (within block).

Definition at line 515 of file ClpPackedMatrix.hpp.

CoinBigIndex* ClpPackedMatrix3::start_`[protected]`

Starts for odd/long vectors.

Definition at line 517 of file ClpPackedMatrix.hpp.

int* ClpPackedMatrix3::row_`[protected]`

Rows.

Definition at line 519 of file ClpPackedMatrix.hpp.

double* ClpPackedMatrix3::element_`[protected]`

Elements.

Definition at line 521 of file ClpPackedMatrix.hpp.

blockStruct* ClpPackedMatrix3::block_`[protected]`

Blocks (ordinary start at 0 and go to first block).

Definition at line 523 of file ClpPackedMatrix.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Osi-0.98.1/Clp/src/ClpPackedMatrix.hpp